Security Enhanced Linux Reference Policy

# Layer: roles

## Module: xguest

Tunables Interfaces

### Description:

Least privledge xwindows user role

### Tunables:

xguest_connect_network

##### Default value

true

##### Description

Allow xguest to configure Network Manager

xguest_mount_media

##### Default value

true

##### Description

Allow xguest users to mount removable media

xguest_use_bluetooth

##### Default value

true

##### Description

Allow xguest to use blue tooth devices

Return

### Interfaces:

xguest_role_change( role )

##### Summary

Change to the xguest role.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.

xguest_role_change_to( role )

##### Summary

Change from the xguest role.

##### Description

Change from the xguest role to the specified role.

This is an interface to support third party modules and its use is not allowed in upstream reference policy.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.

Return